lit-element
TypeScript icon, indicating that this package has built-in type declarations

4.0.6 • Public • Published

LitElement 3.0

A simple base class for creating fast, lightweight web components.

Build Status Published on npm Join our Discord Mentioned in Awesome Lit

LitElement is the base class that powers the Lit library for building fast web components. Most users should import LitElement from the lit package rather than installing and importing from the lit-element package directly.

About this release

This is a pre-release of Lit 3.0, the next major version of Lit.

Lit 3.0 has very few breaking changes from Lit 2.0:

  • Drops support for IE11
  • Published as ES2021
  • Removes a couple of deprecated Lit 1.x APIs

Lit 3.0 should require no changes to upgrade from Lit 2.0 for the vast majority of users. Once the full release is published, most apps and libraries will be able to extend their npm version ranges to include both 2.x and 3.x, like "^2.7.0 || ^3.0.0".

Lit 2.x and 3.0 are interoperable: templates, base classes, directives, decorators, etc., from one version of Lit will work with those from another.

Please file any issues you find on our issue tracker.

Documentation

Full documentation is available at lit.dev.

Contributing

Please see CONTRIBUTING.md.

Readme

Keywords

none

Package Sidebar

Install

npm i lit-element

Homepage

lit.dev/

Weekly Downloads

1,776,326

Version

4.0.6

License

BSD-3-Clause

Unpacked Size

122 kB

Total Files

115

Last publish

Collaborators

  • aomarks
  • emarquez
  • sorvell
  • bicknellr
  • usergenic
  • polymer-devs
  • azakus
  • kevinpschaaf
  • justinfagnani
  • augustjk
  • lit-robot
  • jbingham
  • rictic
  • graynorton